<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/area.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>area.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for area.c:</div>
<div class="dynsection">
<div class="center"><img src="area_8c__incl.png" border="0" usemap="#util_2area_8c_map" alt=""/></div>
<map name="util_2area_8c_map" id="util_2area_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="area_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="area_8c.html#ae10b3dfec502fed986fa89fea83631f9">AreaCal</a> (Mat AIpol, PetscReal *p_area)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="area_8c.html#ad881c6e71023a337d9a87f59d207106c">PidSharedArea</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, int pid1, int pid2, PetscReal *sharedarea_area, PetscReal *sharedarea_point, PetscReal *sharedarea_norm)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ae10b3dfec502fed986fa89fea83631f9"></a><!-- doxytag: member="area.c::AreaCal" ref="ae10b3dfec502fed986fa89fea83631f9" args="(Mat AIpol, PetscReal *p_area)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int AreaCal </td>
          <td>(</td>
          <td class="paramtype">Mat&nbsp;</td>
          <td class="paramname"> <em>AIpol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>p_area</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="area_8c_source.html#l00029">29</a> of file <a class="el" href="area_8c_source.html">area.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, and <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>.</p>

<p>Referenced by <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, and <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="area_8c_ae10b3dfec502fed986fa89fea83631f9_icgraph.png" border="0" usemap="#area_8c_ae10b3dfec502fed986fa89fea83631f9_icgraph_map" alt=""></div>
<map name="area_8c_ae10b3dfec502fed986fa89fea83631f9_icgraph_map" id="area_8c_ae10b3dfec502fed986fa89fea83631f9_icgraph">
<area shape="rect" id="node3" href="util_8h.html#ad3e7b439709d947546efecaf99da3759" title="CalAfe2sq" alt="" coords="123,173,205,203"/><area shape="rect" id="node43" href="util_8h.html#a8f05188956349e674ebab809a737d8f4" title="CalAsq2fe" alt="" coords="123,226,205,257"/><area shape="rect" id="node5" href="writepng_8h.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="255,146,356,177"/><area shape="rect" id="node38" href="writepng_8h.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="257,199,353,230"/><area shape="rect" id="node7" href="writepng_8h.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="407,146,492,177"/><area shape="rect" id="node9" href="writedata_8c.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="543,173,612,203"/><area shape="rect" id="node11" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="661,119,800,150"/><area shape="rect" id="node13" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1024,145,1083,175"/><area shape="rect" id="node17" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="885,273,939,303"/><area shape="rect" id="node20" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="667,173,795,203"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="692,66,769,97"/><area shape="rect" id="node29" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="688,226,773,257"/><area shape="rect" id="node33" href="main_8c.html#ae4f2eb4a1c11c65d9a480b992675dcf9" title="keepsolving" alt="" coords="685,279,776,310"/><area shape="rect" id="node15" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1131,197,1181,227"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="849,66,975,97"/><area shape="rect" id="node40" href="writepng_8h.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="411,199,488,230"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ad881c6e71023a337d9a87f59d207106c"></a><!-- doxytag: member="area.c::PidSharedArea" ref="ad881c6e71023a337d9a87f59d207106c" args="(GridData *gdata, int pid1, int pid2, PetscReal *sharedarea_area, PetscReal *sharedarea_point, PetscReal *sharedarea_norm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int PidSharedArea </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pid1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>pid2</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>sharedarea_area</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>sharedarea_point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal *&nbsp;</td>
          <td class="paramname"> <em>sharedarea_norm</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="area_8c_source.html#l00114">114</a> of file <a class="el" href="area_8c_source.html">area.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00189">GridData::eleprop</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00192">GridData::elevol</a>, <a class="el" href="griddata_8h_source.html#l00172">GridData::ln_ele</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="griddata_8h_source.html#l00127">my_dcopy</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00220">GridData::n_prop</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00095">NF</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="tettri_8c_source.html#l00101">TetSharedVertices()</a>, <a class="el" href="tettri_8c_source.html#l00029">triarea()</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="area_8c_ad881c6e71023a337d9a87f59d207106c_cgraph.png" border="0" usemap="#area_8c_ad881c6e71023a337d9a87f59d207106c_cgraph_map" alt=""></div>
<map name="area_8c_ad881c6e71023a337d9a87f59d207106c_cgraph_map" id="area_8c_ad881c6e71023a337d9a87f59d207106c_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#a072403ed5e4bbd16fd845d52009d1270" title="Mesh2Dual" alt="" coords="184,31,269,62"/><area shape="rect" id="node9" href="tettri_8c.html#a62d7f69412ba9d0be81b6d815062456b" title="TetSharedVertices" alt="" coords="163,85,291,115"/><area shape="rect" id="node11" href="tettri_8c.html#a3ea39ff11354754297822b91f4922d52" title="triarea" alt="" coords="197,138,256,169"/><area shape="rect" id="node5" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="340,5,441,35"/><area shape="rect" id="node7" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1" title="tetnb" alt="" coords="365,58,416,89"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

